// 远征关卡表
import { readFileAndParse } from '../util'
import { FILENAME } from '../../consts'

export interface DicExpedition {
    // 远征id
    readonly id: number;
    // 关卡id
    readonly warId: number;
    // 关卡系数
    readonly CEScale: number;
    // 关卡系数范围
    readonly CERange: number;
    // 新手期关卡系数
    readonly CEScaleNew: number;
    // 新手期关卡系数范围
    readonly CERangeNew: number;
    // 机器人模板出兵表
    readonly json: number;
    // 模板战力
    readonly ce: number;

}


export const dicExpedition = new Map<number, DicExpedition>();
export function loadExpedition() {
    dicExpedition.clear();
    let arr = readFileAndParse(FILENAME.DIC_EXPEDITION);

    arr.forEach(o => {
        dicExpedition.set(o.id, o);
    });
    arr = undefined;
}